
<html>
<head>
<title></title>
<meta name="generator" content="c2html 0.9.5">
<meta name="date" content="2007-03-29T00:32:52+00:00">
</head>

<body bgcolor="#FFFFFF">
<pre width="80">
CFLAGS                =
FFLAGS                =
CPPFLAGS        =
FPPFLAGS        =         
LOCDIR          = src/dm/ao/examples/tutorials/
EXAMPLESC       = ex1.c ex2.c
EXAMPLESF       = 
MANSEC          = <A href="ROOT/docs/manualpages/AO/AO.html#AO">AO</A>

include ${PETSC_DIR}/bmake/common/base

<strong><font color="#FF0000">ex1:</font></strong> ex1.o  chkopts 
        -${CLINKER} -o ex1 ex1.o ${PETSC_DM_LIB}
        ${RM} -f ex1.o

<strong><font color="#FF0000">ex2:</font></strong> ex2.o  chkopts
        -${CLINKER} -o ex2 ex2.o ${PETSC_DM_LIB}
        ${RM} -f ex2.o

<strong><font color="#FF0000">ex3:</font></strong> ex3.o  chkopts
        -${CLINKER} -o ex3 ex3.o  ${PETSC_DM_LIB}
        ${RM} -f ex3.o

<strong><font color="#FF0000">ex4:</font></strong> ex4.o  chkopts
        -${CLINKER} -o ex4 ex4.o  ${PETSC_DM_LIB}
        ${RM} -f ex4.o
<font color="#A020F0">#----------------------------------------------------------------------</font>
<strong><font color="#FF0000">runex1:</font></strong>
        -@${MPIRUN} -np 1  ./ex1 &gt; ex1_1.tmp 2&gt;&amp;1;   \
           <font color="#4169E1">if</font> (${DIFF} output/ex1_1.out ex1_1.tmp) then true; \
           <font color="#4169E1">else</font> echo <font color="#666666">"Possible problem with ex1_1, diffs above"</font>; fi; \
           ${RM} -f ex1_1.tmp
<strong><font color="#FF0000">runex1_2:</font></strong>
        -@${MPIRUN}  -np 2 ./ex1 &gt; ex1_2.tmp 2&gt;&amp;1;\
           <font color="#4169E1">if</font> (${DIFF} output/ex1_2.out ex1_2.tmp) then true ;  \
           <font color="#4169E1">else</font> echo <font color="#666666">"Possible problem with ex1_2, diffs above"</font>; fi ;\
           ${RM} -f ex1_2.tmp
<strong><font color="#FF0000">runex1_3:</font></strong>
        -@${MPIRUN}  -np 3 ./ex1  &gt; ex1_3.tmp 2&gt;&amp;1;\
           <font color="#4169E1">if</font> (${DIFF} output/ex1_3.out ex1_3.tmp) then true ;  \
           <font color="#4169E1">else</font> echo <font color="#666666">"Possible problem with ex1_3, diffs above"</font>; fi ;\
           ${RM} -f ex1_3.tmp
<strong><font color="#FF0000">runex2:</font></strong>
        -@${MPIRUN} -np 1 ./ex2  &gt;\
           ex2_1.tmp 2&gt;&amp;1;   \
           <font color="#4169E1">if</font> (${DIFF} output/ex2_1.out ex2_1.tmp) then true; \
           <font color="#4169E1">else</font> echo <font color="#666666">"Possible problem with ex2_1, diffs above"</font>; fi; \
           ${RM} -f ex2_1.tmp

<strong><font color="#FF0000">runex2_2:</font></strong>
        -@${MPIRUN} -np 2 ./ex2  &gt;\
           ex2_2.tmp 2&gt;&amp;1;   \
           <font color="#4169E1">if</font> (${DIFF} output/ex2_2.out ex2_2.tmp) then true; \
           <font color="#4169E1">else</font> echo <font color="#666666">"Possible problem with ex2_2, diffs above"</font>; fi; \
           ${RM} -f ex2_2.tmp

TESTEXAMPLES_C                  = 
TESTEXAMPLES_C_X11          = 
TESTEXAMPLES_FORTRAN          = 
TESTEXAMPLES_C_X11_MPIUNI = 
TESTEXAMPLES_C_NOCOMPLEX  = ex2.PETSc ex2.rm 
TESTEXAMPLES_13                  = ex1.PETSc ex1.rm
TESTEXAMPLES_PARMETIS          = ex2.PETSc runex2 runex2_2 ex2.rm 

include ${PETSC_DIR}/bmake/common/test
</pre>
</body>

</html>
